be.fgov.ehealth.dics.protocol.v5

## Class FindReferencesRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v5.DicsRequestType
    - - be.fgov.ehealth.dics.protocol.v5.FindReferencesRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindReferencesRequest
      extends DicsRequestType
      implements Serializable

  Java class for FindReferencesRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindReferencesRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
             <sequence>
               <element name="ReferenceEntity" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindReferencesRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReferenceEntity()` Gets the value of the referenceEntity property.
    `void` | `setReferenceEntity(String value)` Sets the value of the referenceEntity property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

      `getSearchDate, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindReferencesRequest

          public FindReferencesRequest()

  - ### Method Detail

    - #### getReferenceEntity

          public String getReferenceEntity()

      Gets the value of the referenceEntity property.
      Returns:
        possible object is `String`

    - #### setReferenceEntity

          public void setReferenceEntity(String value)

      Sets the value of the referenceEntity property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.